Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security
Class UsernameAndPassword

    java.lang.Object
      |
      +--weblogic.security.UsernameAndPassword

public class UsernameAndPassword
extends java.lang.Object

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UsernameAndPassword()`
`UsernameAndPassword(byte[] user, byte[] pwd)`
`UsernameAndPassword(java.lang.String user, java.lang.String pwd)`

Method Summary
`java.lang.String` | `getPassword()` Deprecated.
`byte[]` | `getPasswordBytes()`
`java.lang.String` | `getUsername()` Deprecated.
`byte[]` | `getUsernameBytes()`
`void` | `setEncryption(weblogic.security.internal.encryption.ClearOrEncryptedService es)`
`void` | `setPassword(byte[] pwd)`
`void` | `setPassword(java.lang.String pwd)`
`void` | `setUsername(byte[] user)`
`void` | `setUsername(java.lang.String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsernameAndPassword

    public UsernameAndPassword(java.lang.String user,
                               java.lang.String pwd)

### UsernameAndPassword

    public UsernameAndPassword(byte[] user,
                               byte[] pwd)

### UsernameAndPassword

    public UsernameAndPassword()

Method Detail

### getUsername

    public java.lang.String getUsername()

  Deprecated.
  Gets the username.

### getUsernameBytes

    public byte[] getUsernameBytes()

### setUsername

    public void setUsername(java.lang.String user)

### setUsername

    public void setUsername(byte[] user)

### getPassword

    public java.lang.String getPassword()

  Deprecated.
  Gets the password.

### getPasswordBytes

    public byte[] getPasswordBytes()

### setPassword

    public void setPassword(java.lang.String pwd)

### setPassword

    public void setPassword(byte[] pwd)

### setEncryption

    public void setEncryption(weblogic.security.internal.encryption.ClearOrEncryptedService es)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD